Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153272 - Welsh translation missing in yelp, despite presence of .mo file
Summary: Welsh translation missing in yelp, despite presence of .mo file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yelp
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-04 11:03 UTC by Telsa Gwynne
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: yelp-2.14.2-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-23 21:58:03 UTC


Attachments (Terms of Use)

Description Telsa Gwynne 2005-04-04 11:03:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020

Description of problem:
Logged in via gdm, having clicked the Welsh option on the list
of languages. Yelp is running in English. (So are various other 
things, so this may be a more systemic problem.) 

locale reports that I am in cy_GB.UTF-8. Starting yelp from
menus, from right-clicking a gnome app and selecting Help,
or from the command line all produce yelp in English.

I can see the mo file sitting in /usr/share/locale/cy/LC_MESSAGES.
If I guess the exact string, I can get "grep WelshWord yelp.mo" to
tell me "Binary file matches". 

Even when I do "LANG="cy_GB.UTF-8" yelp", I get English.


Version-Release number of selected component (if applicable):
yelp-2.9.3-3

How reproducible:
Always

Steps to Reproduce:
1. log in to Gnome via GDM and picking Welsh from Languages menu.
1(a). (I accepted the offer for all future sessions to be in Welsh, but I 
don't think that's necessary.) 
2. Start yelp. 

  

Actual Results:  yelp appeared in English.

Expected Results:  yelp should have appeared in Welsh.

Additional info:

The only other thing which might be relevant is that I did a text
install of this machine, and no option for "Pick languages" came up
at all. Nor came a "set default locale for this machine". I think this
is an installer bug.

Comment 1 Matthew Barnes 2006-08-23 19:21:18 UTC
This bug has been languishing here for quite awhile.  Do you still see this
problem in Fedora Core 5?

Comment 2 Telsa Gwynne 2006-08-23 21:58:03 UTC
Ooh, it's fixed! Sorry, should have said before. If I do the same steps, it
shows up as I expect.

Of course, investigating it, I have broken something else, but that's a
different problem :) 


Note You need to log in before you can comment on or make changes to this bug.